
kind: pipeline
type: docker
name: 1
platform:
  os: linux
  arch: amd64
  
volumes:
  - name: cache 
    host:
      path: /tmp/cache
steps:

- name: build
  image: python:3
  commands:
    - echo **start**
    - pip install -r requirements.txt

- name: test
  image: python:3
  commands:
    - pip install -r requirements.txt
    - python run_excel_re.py
    - ls -lR test_Report
    - cp -r test_Report/* /tmp/cache
  volumes:
    - name: cache 
      path: /tmp/cache 

trigger:
  branch:
  - master
  event:
  - push
